Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.crmf
Class CertReqMsg

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.crmf.CertReqMsg

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CertReqMsg
extends ASN1Object

Constructor Summary
`CertReqMsg(CertRequest certReq, ProofOfPossession pop, AttributeTypeAndValue[] regInfo)` Creates a new CertReqMsg.

Method Summary
`CertRequest` | `getCertReq()`
`static CertReqMsg` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CertReqMsg` | `getInstance(java.lang.Object o)`
`ProofOfPossession` | `getPop()`
`ProofOfPossession` | `getPopo()` Deprecated. use getPop
`AttributeTypeAndValue[]` | `getRegInfo()`
`ASN1Primitive` | `toASN1Primitive()` CertReqMsg ::= SEQUENCE { certReq CertRequest, popo ProofOfPossession OPTIONAL, -- content depends upon key type regInfo SEQUENCE SIZE(1..MAX) OF AttributeTypeAndValue OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertReqMsg

    public CertReqMsg(CertRequest certReq,
                      ProofOfPossession pop,
                      AttributeTypeAndValue[] regInfo)

  Creates a new CertReqMsg.

Parameters:
  `certReq` - CertRequest
  `pop` - may be null
  `regInfo` - may be null

Method Detail

### getInstance

    public static CertReqMsg getInstance(java.lang.Object o)

### getInstance

    public static CertReqMsg getInstance(ASN1TaggedObject obj,
                                         boolean explicit)

### getCertReq

    public CertRequest getCertReq()

### getPop

    public ProofOfPossession getPop()

### getPopo

    public ProofOfPossession getPopo()

  Deprecated. use getPop

### getRegInfo

    public AttributeTypeAndValue[] getRegInfo()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  CertReqMsg ::= SEQUENCE { certReq CertRequest, popo ProofOfPossession OPTIONAL, -- content depends upon key type regInfo SEQUENCE SIZE(1..MAX) OF AttributeTypeAndValue OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD